<?php

namespace App\Tests\Event\Signature;

use App\Entity\Devis;
use App\Event\Signature\DevisSend;
use PHPUnit\Framework\Attributes\AllowMockObjectsWithoutExpectations;
use PHPUnit\Framework\TestCase;

#[AllowMockObjectsWithoutExpectations]
class DevisSendTest extends TestCase
{
    public function testGetDevis()
    {
        $devis = $this->createMock(Devis::class);
        $event = new DevisSend($devis);

        $this->assertSame($devis, $event->getDevis());
    }
}
